window.Responsive && Responsive.addBehaviour((function()
{
	// Add customScroll to FPA ankeilers
	var createScrollableAnkeilers = function()
	{
		Selector('.fpaItemsWrapper').forEach(
			function(ankeiler)
			{
				var leftScrollButton = Selector('.scrollButtonLeft', ankeiler)[0],
				rightScrollButton = Selector('.scrollButtonRight', ankeiler)[0],
				scrollBar;

				// Remove scrollButtons for desktop grades
				if (Responsive.isDesktopGrade())
				{
					if (leftScrollButton)
					{
						ankeiler.removeChild(leftScrollButton);
					}

					if (rightScrollButton)
					{
						ankeiler.removeChild(rightScrollButton);
					}

					Scrollable.destroy(ankeiler);

					return;
				}

				if ( ! leftScrollButton)
				{
					leftScrollButton = document.createElement('div');
					leftScrollButton.className = 'scrollButtonLeft';
					leftScrollButton.style.display = 'none'; // we start at x:0, so hide it

					addEvent(
						leftScrollButton,
						'click',
						function()
						{
							scrollBar.scrollTo(scrollBar.scrollX - document.body.clientWidth);
						}
					);
				}

				if ( ! rightScrollButton)
				{
					rightScrollButton = document.createElement('div');
					rightScrollButton.className = 'scrollButtonRight';

					addEvent(
						rightScrollButton,
						'click',
						function()
						{
							scrollBar.scrollTo(scrollBar.scrollX + document.body.clientWidth);
						}
					);
				}

				scrollBar = Scrollable.create(
					ankeiler,
					{
						onScroll: function(sb)
						{
							// Hide the scroll icon when no further scrolling is possible
							leftScrollButton.style.display = sb.scrollX == 0 ? 'none' : '';
							rightScrollButton.style.display = sb.scrollX == sb.getMaxX() ? 'none' : '';
						}
					},
					{
						novertical: 1
					}
				);

				// Do this after creating the scrollable div so it does not get included therein
				ankeiler.appendChild(leftScrollButton);
				ankeiler.appendChild(rightScrollButton);
			}
		);
	};

	return {
		/**
		 * Triggered when setting up the page
		 */
		init: function()
		{
			var currentDeviceGrade = Responsive.getCurrentDeviceGrade();

			// perform updates
			this.update({from: Responsive.defaultGrade, to: currentDeviceGrade});

			// initialize ankeilers, update on resize
			createScrollableAnkeilers();
			addEvent(window, 'resize', createScrollableAnkeilers);
		},

		/**
		 * Triggered on device grade change
		 */
		update: function(e)
		{
			// Nothing yet :)
		}
	}
}()));
